
package com.tmerclub.cloud.platform.model;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;


/**
 * 系统密钥
 * @author TRACK
 */
@Data
public class SysAccessKey extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long sysAccessKeyId;

    /**
     * 名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 账号id
     */
    private String accessId;

    /**
     * 密钥
     */
    private String accessKey;

    /**
     * 系统类型 0.c端用户 1.商家端 2.平台端
     */
    private Integer sysType;

    /**
     * 密钥权限类型 0.全部权限 1.指定权限
     */
    private Integer premType;

    /**
     * 密钥可用店铺id,如果为0则为所有店铺
     */
    private Long usabilityShopId;

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Integer getPremType() {
        return premType;
    }

    public void setPremType(Integer premType) {
        this.premType = premType;
    }

    public Long getUsabilityShopId() {
        return usabilityShopId;
    }

    public void setUsabilityShopId(Long usabilityShopId) {
        this.usabilityShopId = usabilityShopId;
    }

    public Long getSysAccessKeyId() {
        return sysAccessKeyId;
    }

    public void setSysAccessKeyId(Long sysAccessKeyId) {
        this.sysAccessKeyId = sysAccessKeyId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    @Override
    public String toString() {
        return "SysAccessKey{" +
                "sysAccessKeyId=" + sysAccessKeyId +
                ",name=" + name +
                ",remark=" + remark +
                ",accessId=" + accessId +
                ",accessKey=" + accessKey +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",sysType=" + sysType +
                ",premType=" + premType +
                ",usabilityShopId=" + usabilityShopId +
                '}';
    }
}
